Bug 239911 - rpath issue with fltk (need to fix from FC-6 to devel...)
Summary: rpath issue with fltk (need to fix from FC-6 to devel...)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fltk   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-12 09:35 UTC by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-12 21:48:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2007-05-12 09:35:15 UTC
Description of problem:
Needeed for reviewing cinepaint... (see https://bugzilla.redhat.com/225522 )

Version-Release number of selected component (if applicable):
 (need to fix from FC-6 to devel...)
Problem was experienced on FC-6 throught...

How reproducible: all time (on FC-6 at least). This may be the same case in
devel (haven't check yet)...


Steps to Reproduce:
1.build a package that uses /usr/bin/fltk-config
2.
3.
  
Actual results:
rpath are inherited from fltk-config

Expected results:
cinepaint should'nt need rpaths to find fltk libraries...

Additional info:
/usr/bin/fltk-config
See line 91 : DSOLINK="-Wl,-rpath,/usr/lib64" (on x86_64)

Comment 1 Rex Dieter 2007-05-12 21:48:29 UTC
backport fixed devel/ branch to FC-6:

* Sun Apr 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.1.8-0.3.r5750
- *really* fix --rpath issue, using non-empty patch this time (#238284)

Package fltk enqueued.  Job ID: 33294.



Note You need to log in before you can comment on or make changes to this bug.